%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           python-sqlite2
Version:        2.0.7
Release:        1%{?dist}
Epoch:          1
Summary:        DB-API 2.0 interface for SQLite 3.x

Group:          Development/Languages
License:        zlib/libpng
URL:            http://pysqlite.org/
Source0:        http://initd.org/pub/software/pysqlite/releases/2.0/%{version}/pysqlite-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  dos2unix
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  sqlite-devel

%description
pysqlite is an interface to the SQLite 3.x embedded relational database
engine. It is almost fully compliant with the Python database API version
2.0 also exposes the unique features of SQLite.


%prep
%setup -q -n pysqlite-%{version}


%build
CFLAGS="%{optflags}" %{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 \
	--skip-build \
	--old-and-unmanageable \
	--root %{buildroot}

%{__mv} %{buildroot}%{_prefix}/pysqlite2-doc documentation
%{__rm} documentation/install-source*
%{__rm} documentation/*.css
dos2unix documentation/code/*


%check
PYTHONPATH="%{buildroot}%{python_sitearch}" scripts/test-pysqlite


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE TODO documentation/*
%doc doc/pysqlite-introduction-slides/pysqlite-introduction.pdf
%dir %{python_sitearch}/pysqlite2
%{python_sitearch}/pysqlite2/__init__.py
%{python_sitearch}/pysqlite2/__init__.pyc
%{python_sitearch}/pysqlite2/dbapi2.py
%{python_sitearch}/pysqlite2/dbapi2.pyc
%{python_sitearch}/pysqlite2/_sqlite.so
%dir %{python_sitearch}/pysqlite2/test
%{python_sitearch}/pysqlite2/test/dbapi.py
%{python_sitearch}/pysqlite2/test/dbapi.pyc
%{python_sitearch}/pysqlite2/test/factory.py
%{python_sitearch}/pysqlite2/test/factory.pyc
%{python_sitearch}/pysqlite2/test/__init__.py
%{python_sitearch}/pysqlite2/test/__init__.pyc
%{python_sitearch}/pysqlite2/test/transactions.py
%{python_sitearch}/pysqlite2/test/transactions.pyc
%{python_sitearch}/pysqlite2/test/types.py
%{python_sitearch}/pysqlite2/test/types.pyc
%{python_sitearch}/pysqlite2/test/userfunctions.py
%{python_sitearch}/pysqlite2/test/userfunctions.pyc
%{python_sitearch}/pysqlite-%{version}-py%{pyver}.egg-info/
%ghost %{python_sitearch}/pysqlite2/__init__.pyo
%ghost %{python_sitearch}/pysqlite2/dbapi2.pyo
%ghost %{python_sitearch}/pysqlite2/test/dbapi.pyo
%ghost %{python_sitearch}/pysqlite2/test/factory.pyo
%ghost %{python_sitearch}/pysqlite2/test/__init__.pyo
%ghost %{python_sitearch}/pysqlite2/test/transactions.pyo
%ghost %{python_sitearch}/pysqlite2/test/types.pyo
%ghost %{python_sitearch}/pysqlite2/test/userfunctions.pyo


%changelog
* Sat Feb  4 2006 Dawid Gajownik <gajownik[AT]fedora.pl> - 1:2.0.7-1
- Downgrade to 2.0.7 (sqlite in FC-4 is too old)
- Run tests

* Tue Jan 17 2006 Dawid Gajownik <gajownik[AT]fedora.pl> - 2.1.0-1
- Update to 2.1.0

* Sat Jan 14 2006 Dawid Gajownik <gajownik[AT]fedora.pl> - 2.0.5-2
- Fix missing BR: sqlite-devel (Chris Chabot, #176653)

* Wed Dec 28 2005 Dawid Gajownik <gajownik[AT]fedora.pl> - 2.0.5-1
- Initial RPM release.

